be.fgov.ehealth.aa.complextype.v1

## Class PersonType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.PersonType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PersonWithFunction, Responsible

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class PersonType
      extends Object
      implements Serializable

  Identity and function of an occupied physical person in ReMaPH.

  Java class for PersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Inss" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFirstName()` Gets the value of the firstName property.
    `String` | `getInss()` Gets the value of the inss property.
    `String` | `getLastName()` Gets the value of the lastName property.
    `void` | `setFirstName(String value)` Sets the value of the firstName property.
    `void` | `setInss(String value)` Sets the value of the inss property.
    `void` | `setLastName(String value)` Sets the value of the lastName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonType

          public PersonType()

  - ### Method Detail

    - #### getInss

          public String getInss()

      Gets the value of the inss property.
      Returns:
        possible object is `String`

    - #### setInss

          public void setInss(String value)

      Sets the value of the inss property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFirstName

          public String getFirstName()

      Gets the value of the firstName property.
      Returns:
        possible object is `String`

    - #### setFirstName

          public void setFirstName(String value)

      Sets the value of the firstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLastName

          public String getLastName()

      Gets the value of the lastName property.
      Returns:
        possible object is `String`

    - #### setLastName

          public void setLastName(String value)

      Sets the value of the lastName property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.